# FTXUI: window.cpp File Reference

Loading...
Searching...
No Matches
window.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | ftxui
| The FTXUI ftxui:: namespace.

## Macros

#define | NOMINMAX

## Functions

Component | Window (WindowOptions option)
| A draggeable / resizeable window. To use multiple of them, they must be stacked using `Container::Stacked({...})` component;.

## Macro Definition Documentation

## NOMINMAX

#define NOMINMAX

Definition at line 4 of file src/ftxui/component/window.cpp.

## Variable Documentation

## color_

Color color_

Definition at line 87 of file src/ftxui/component/window.cpp.

## resize_left_

bool resize_left_ = false

Definition at line 88 of file src/ftxui/component/window.cpp.

## resize_right_

bool resize_right_ = false

Definition at line 89 of file src/ftxui/component/window.cpp.

## resize_top_

bool resize_top_ = false

Definition at line 90 of file src/ftxui/component/window.cpp.

## resize_down_

bool resize_down_ = false

Definition at line 91 of file src/ftxui/component/window.cpp.